Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.SyncMemPool Method
DatabaseEnvironment Class See Also Send Feedback

Flush all modified pages in the cache to their backing files.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void SyncMemPool()

Visual Basic (Declaration)
    Public Sub SyncMemPool

Visual C++
    public:
    void SyncMemPool()

# Remarks

Pages in the cache that cannot be immediately written back to disk (for example, pages that are currently in use by another thread of control) are waited for and written to disk as soon as it is possible to do so.

# See Also

DatabaseEnvironment Class
SyncMemPool Overload
BerkeleyDB Namespace